package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 药品维系服务 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglYpwxServiceprojectinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglYpwxServiceprojectinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglYpwxServiceprojectinfoMapper.addSJkglYpwxServiceprojectinfo", pd);
    }

    public List<PageData> findSJkglYpwxServiceprojectinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglYpwxServiceprojectinfoMapper.selectSJkglYpwxServiceprojectinfoList", pd);
    }

    public Integer SJkglYpwxServiceprojectinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglYpwxServiceprojectinfoMapper.SJkglYpwxServiceprojectinfoRemove", pd);
    }


    public Integer updateSJkglYpwxServiceprojectinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglYpwxServiceprojectinfoMapper.updateSJkglYpwxServiceprojectinfo", pd);
    }

}
